# OpalPresentity::BuddyInfo Struct Reference

`#include <pres_ent.h>`

## Public Member Functions

| BuddyInfo (const PURL &presentity=PString::Empty(), const PString &displayName=PString::Empty())

## Data Fields

PURL | m_presentity
| Typicall URI address-of-record.
PString | m_displayName
| Human readable name.
PvCard | m_vCard
PURL | m_icon
PURL | m_map
PURL | m_sound
PURL | m_homePage
| Home page for buddy.
PString | m_contentType
| MIME type code for XML.
PString | m_rawXML
| Raw XML of buddy list entry.

## Detailed Description

Buddy list entry. The buddy list is a list of presentities that the application is expecting to get presence status for.

## Constructor & Destructor Documentation

OpalPresentity::BuddyInfo::BuddyInfo | ( | const PURL & | presentity = `PString::Empty()`,
|  | const PString & | displayName = `PString::Empty()` |
| ) |  |  | `[inline]`

## Field Documentation

PString OpalPresentity::BuddyInfo::m_contentType

MIME type code for XML.

PString OpalPresentity::BuddyInfo::m_displayName

Human readable name.

PURL OpalPresentity::BuddyInfo::m_homePage

Home page for buddy.

PURL OpalPresentity::BuddyInfo::m_icon

The icon/avatar/photo for the buddy. This is either a URI pointing to the image, or the image itself in the form: "data:image/jpeg;base64,xxxxx as per RFC2397

PURL OpalPresentity::BuddyInfo::m_map

The map reference for the buddy. This is may be URL to a GIS system or an image file similar to m_icon

PURL OpalPresentity::BuddyInfo::m_presentity

Typicall URI address-of-record.

PString OpalPresentity::BuddyInfo::m_rawXML

Raw XML of buddy list entry.

PURL OpalPresentity::BuddyInfo::m_sound

The sound relating to the buddy. This is either a URI pointing to the sound, or the sound itself in the form: "data:audio/mpeg;base64,xxxxx as per RFC2397

PvCard OpalPresentity::BuddyInfo::m_vCard

vCard for the buddy. This is either a URI pointing to the image, or the image itself in the form: "data:text/x-vcard,xxxxx as per RFC2397

The documentation for this struct was generated from the following file:

- pres_ent.h